﻿Class Window1 

    Private OrderData As New OrderDataSet
    Private taOrder As New OrderDataSetTableAdapters.OrdersTableAdapter
    Private taManager As New OrderDataSetTableAdapters.TableAdapterManager
    Private CustomerLookup As New CustomerLookupDataSet.CustomerDataTable
    Private View As CollectionView

    Private Sub Window1_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
        Dim taCustomer As New CustomerLookupDataSetTableAdapters.CustomerTableAdapter
        taCustomer.Fill(Me.CustomerLookup)

        Me.taOrder.Fill(Me.OrderData.Orders)
        Me.taManager.OrdersTableAdapter = Me.taOrder

        Me.DataContext = Me.OrderData.Orders
        Me.ComboBox1.ItemsSource = Me.CustomerLookup

        Me.View = CollectionViewSource.GetDefaultView(Me.OrderData.Orders)
    End Sub

    Private Sub btnAdd_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnAdd.Click
        Dim row = Me.OrderData.Orders.NewOrdersRow
        row.CustomerID = 0
        Me.OrderData.Orders.AddOrdersRow(row)
        Me.View.MoveCurrentToLast()
    End Sub

    Private Sub btnSave_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles btnSave.Click
        Try
            If Me.OrderData.HasChanges Then
                If Me.taManager.UpdateAll(Me.OrderData) > 0 Then
                    MsgBox("Saved")
                End If
            End If
        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try
    End Sub
End Class
